Subject: RE: bug#25474: 26.0.50; Buffer content invisible

From: "Ivor Durham" <[email-masked]>
Date: Wed, 18 Jan 2017 08:04:53 -0800

Clicking on menu items produces the expected drop-down. Hovering over icons produces the expected tooltip. Selecting Help/About produces a blank buffer. Selecting Help/GNU launches the browser as expected. So it appears to be only the buffer content display that is not working.

-----Original Message-----
From: Eli Zaretskii [mailto:[email-masked]] 
Sent: Wednesday, January 18, 2017 7:33 AM
To: Ivor Durham
Cc: [email-masked]
Subject: Re: bug#25474: 26.0.50; Buffer content invisible

> From: "Ivor Durham" <[email-masked]>
> Date: Wed, 18 Jan 2017 01:50:45 -0800
> 
> After a fresh "git clone; autoconfig.sh; autoconfig.sh git; configure; 
> make" sequence I have an Emacs that displays a menu bar and right-hand 
> scroll bar but the actual buffer content is invisible. (See attached 
> screenshot after opening my .bashrc file.) If I use the “-nw” option 
> to avoid the window system, the buffer content is visible. I’m connecting to my Linux system via SecureCRT from my Windows 10 laptop which has VcXsrv running locally.
> 
> The officially installed Emacs 25.1.1 displays the buffer content 
> correctly which this new 26.0.50 build does not with the same Windows client connection.

Does Emacs respond to input?  For example, if you move the mouse pointer to hover above one of the tool-bar buttons and wait for a second, does a tooltip pop up describing the button?  And if you click on a menu-bar item, do you see a menu drop down?

If the above produce no response, can you see if Emacs is consuming CPU cycles?

Thanks.